> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all subscriptions for the authenticated recipient

> Retrieves all subscriptions for the currently authenticated recipient



## OpenAPI

````yaml /api-reference/oda-subscriptions-service-1.0.0.yml get /subscriptions
openapi: 3.0.1
info:
  title: oda-subscriptions-service
  version: 1.0.0
servers: []
security: []
paths:
  /subscriptions:
    get:
      summary: Get all subscriptions for the authenticated recipient
      description: Retrieves all subscriptions for the currently authenticated recipient
      operationId: getSubscriptionsByRecipient
      responses:
        '200':
          description: Subscriptions found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionData'
        '401':
          description: Unauthorized
          content:
            application/json: {}
components:
  schemas:
    SubscriptionData:
      required:
        - events
        - id
        - recipientId
        - subscriberId
      type: object
      properties:
        id:
          type: string
        recipientId:
          type: string
        subscriberId:
          type: string
        events:
          type: array
          items:
            type: string

````